/*
 *  Copyright 2007 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) TCP/IP_Network_Developers_Kit 1.92.00.22 01-10-2007 (ndk-b22)
 */
/*
 *  Copyright 2003 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 */
/* "@(#) DDK 1.10.00.23 07-02-03 (ddk-b12)" */
/*
 *  ======== evmdm642_osd.h ========
 *
 *  Interface for CPLD (OSD/FPGA) interrupts on the EVMDM642 board
 */
#ifndef EVMDM642_OSD_
#define EVMDM642_OSD_

#ifdef __cplusplus
extern "C" {
#endif

#define EVMDM642_OSD_NUM_IRQ    5
enum EVMDM642_OSD_IRQ_TYPE {
        FIFO_URUN_IRQ,
        RTS1A_IRQ,
        RTS1B_IRQ,
        UARTA_IRQ,
        UARTB_IRQ
};

typedef void (*EVMDM642_OSD_IntHandler) (void *arg);

/* Initialize the interrupt module APIs */
void EVMDM642_OSD_init();

/* Hook a sub-interrupt */
EVMDM642_OSD_IntHandler EVMDM642_OSD_intHook(UINT32 index,
    EVMDM642_OSD_IntHandler fxn, void *arg);

/* Unhook a sub-interrupt */
EVMDM642_OSD_IntHandler EVMDM642_intUnhook(UINT32 index);

#ifdef __cplusplus
}
#endif

#endif

